DELUSER(8)

NOM
deluser, delgroup – Retirer un utilisateur ou un groupe du système

SYNOPSIS
deluser [--backup] [--backup-suffix chaine] [--backup-to rép] [--conf fichier] [--debug] [--remove-all-files] [--remove-home] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] utilisateur
deluser [--system] [--backup] [--backup-suffix chaine] [--backup-to rép] [--conf fichier] [--debug] [--remove-all-files] [--remove-home] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] utilisateur
deluser --group [--conf fichier] [--debug] [--only-if-empty] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] groupe
delgroup [--system] [--conf fichier] [--debug] [--only-if-empty] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] groupe
deluser [--conf fichier] [--debug] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] utilisateur groupe
deluser --help
deluser --version

DESCRIPTION
deluser et delgroup retirent des utilisateurs et des groupes du système en suivant les options de la ligne de commande et les informations de configuration de /etc/deluser.conf et /etc/adduser.conf.

Ce sont des interfaces plus spécifiques à Debian que les programmes userdel et groupdel plus indépendants de la distribution. Elles permettent en option de supprimer le répertoire personnel et même tous les fichiers du système possédés par l’utilisateur à retirer, de lancer un script personnalisé, et ont d’autres fonctionnalités.

Pour une liste complète et des explications sur toutes les options, consulter la section OPTIONS.

Vous pouvez exécuter deluser et delgroup de l’une des trois façons suivantes.

  Retirer un utilisateur
Lorsqu'il est exécuté avec un seul paramètre non-option et sans l'option --group, deluser retire un utilisateur non-système.

Par défaut, deluser retirera l'utilisateur sans retirer son répertoire personnel, sa liste d’attente de courriels ou tout autre fichier possédé par l'utilisateur sur le système. Le répertoire personnel et la liste d’attente peuvent être supprimés en utilisant l'option --remove-home.

L'option --remove-all-files retire du système tous les fichiers possédés par l'utilisateur. Il est à remarquer que l’activation des deux options fera que --remove-home n'aura aucun effet supplémentaire puisque tous les fichiers du répertoire personnel et de la file d’attente de courriels sont déjà couverts par l'option --remove-all-files.

Si vous voulez sauvegarder tous les fichiers avant de les supprimer, vous pouvez utiliser l'option --backup qui créera un fichier nommé nom_utilisateur.tar(.gz|.bz2) dans le répertoire indiqué par l'option --backup-to.

Par défaut, l’archive de sauvegarde est compressée avec gzip(1). Pour changer cela, l’option --backup-suffix peut être réglée à n’importe quel suffixe géré par tar --auto-compress.

deluser refusera de supprimer le compte du superutilisateur.

Si l’option --system est indiquée sur la ligne de commande, l’opération de suppression n’est réellement exécutée que si l’utilisateur est un utilisateur système. Cela évite de supprimer accidentellement des utilisateurs non-système. De plus, si l'utilisateur n'existe pas, aucune valeur d'erreur n'est renvoyée. Les scripts de responsable de paquet Debian peuvent utiliser cet indicateur pour retirer des utilisateurs ou des groupes système tout en ignorant le cas où la suppression est déjà effective.

  Retirer un groupe
Lorsque deluser est appelé avec l'option --group ou lorsque delgroup est appelé, un groupe est retiré. Le groupe primaire d’un utilisateur existant ne peut pas être supprimé. Si l’option --only-if-empty est indiquée, le groupe ne sera pas supprimé si n’importe quel membre en fait encore partie.

L’option --system ajoute respectivement la même fonctionnalité pour les utilisateurs.

  Retirer un utilisateur d'un groupe particulier
Lorsqu'il est appelé avec deux paramètres non-option, deluser retire un utilisateur d'un groupe particulier.

OPTIONS
Différents modes de deluser autorisent différentes options. Si aucun mode autorisé n’est listé pour une option, tous les modes sont acceptés.

Des versions courtes pour certaines options peuvent exister pour des raisons historiques. Elles continueront d’être gérées, mais sont retirées de la documentation. Il est conseillé de migrer vers les versions longues des options.

--backup
    Sauvegarder tous les fichiers du répertoire personnel et de la file d’attente de courriels dans un fichier nommé utilisateur.tar.bz2 ou utilisateur.tar.gz.. Modes autorisés : deluser, deluser --system.

--backup-suffix chaine
    Sélectionner un algorithme de compression pour une sauvegarde de répertoire personnel. Cela peut être défini à n’importe quel suffixe reconnu par tar --auto-compress. Par défaut, .gz. Modes autorisés : deluser, deluser --system.

--backup-to rép
    Placer les fichiers de sauvegarde, non dans le répertoire actuel, mais dans rép. Cela impose aussi implicitement --backup (par défaut dans le répertoire de travail en cours). Modes autorisés : deluser, deluser --system.

--conf fichier
    Utiliser fichier plutôt que les fichiers par défaut /etc/deluser.conf et /etc/adduser.conf. Plusieurs options --conf peuvent être indiquées.

--debug
    Synonyme de --stdoutmsglevel=debug. Obsolète.

--group
    Retrait d’un groupe. C'est l'opération par défaut quand le programme invoqué est delgroup. Mode autorisé : deluser.

--help
    Afficher un résumé des instructions.

--only-if-empty
    Retrait uniquement si aucun membre ne reste. Modes autorisés : deluser --group, delgroup.

--quiet
    Synonyme pour --stdoutmsglevel=warn. Obsolète.

--remove-all-files
    Suppression de tous les fichiers du système possédés par l'utilisateur. Note : --remove-home n'aura plus aucun effet. Si --backup est indiqué, les fichiers sont supprimés après avoir effectué la sauvegarde. Modes autorisés : deluser, deluser --system.

--remove-home
    Suppression du répertoire personnel et de la liste d’attente de courriels de l'utilisateur. Si --backup est utilisé, les fichiers sont supprimés après avoir effectué la sauvegarde. Modes autorisés : deluser, deluser --system.

--system
    Suppression uniquement si l’utilisateur (ou groupe) est un utilisateur (ou groupe) système. Si l’utilisateur n’existe pas, aucune valeur d’erreur n’est renvoyée. Modes autorisés : deluser, deluser --system.

--verbose
    Synonyme de --stdoutmsglevel=info. Obsolète.

--stdoutmsglevel prio
--stderrmsglevel prio
--logmsglevel prio
    Définir la priorité minimale pour les messages journalisés dans syslog/journal et dans la console respectivement. Les valeurs possibles sont trace, debug, info, warn, err et fatal. Les messages dont la priorité est définie ici ou est supérieure sont affichés dans le média respectif. Les messages affichés dans stderr ne sont pas répétés dans stdout. Cela permet à l’administrateur local de contrôler la prolixité de adduser dans la console et dans le journal de manière indépendante, conservant pour lui-même des informations probablement peu claires tout en laissant des informations utiles dans le journal.

--version
    Afficher la version et le copyright.

JOURNALISATION
deluser utilise une journalisation complète et configurable pour adapter sa verbosité aux besoins de l’administrateur du système. La journalisation fonctionne de manière similaire à adduser. Consulter adduser(8) pour tous les détails.

VALEURS DE RETOUR
Les valeurs de retour documentées dans adduser(8) s’appliquent aussi à deluser

SÉCURITÉ
deluser a besoin des privilèges du superutilisateur et propose, à l’aide de l’option en ligne de commande --conf, d’utiliser des fichiers de configuration différents. Il ne faut pas utiliser sudo(8) ou des outils similaires pour donner des privilèges partiels à deluser avec des paramètres restrictifs dans la ligne de commande. Cela est facile à contourner et pourrait permettre à des utilisateurs d’obtenir indûment des privilèges. Si cela correspond à ce que vous souhaitez, écrivez votre propre script d’enveloppe en donnant les privilèges pour exécuter ce script.

FICHIERS
/etc/deluser.conf, fichier de configuration par défaut de deluser(8) et delgroup(8).

/usr/local/sbin/deluser.local
    Options personnelles supplémentaires, consulter deluser.local(8).

VOIR AUSSI
adduser(8), deluser.conf(5), deluser.local.conf(8), groupdel(8), userdel(8)

TRADUCTION
Ce document est une traduction réalisée par Christophe Sauthier <christophe@sauthier.com>(2002), reprise avec po4a par Nicolas FRANÇOIS (2004-2008) et mise à jour par David Prévot <david@tilapin.org> (2010) et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr> (2016-2025). L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man. N'hésitez pas à signaler à l'auteur ou à la liste de traduction <debian-l10n-french@lists.debian.org>, selon le cas, toute erreur dans cette page de manuel.